#! python3
# -*- encoding: utf-8 -*-
'''
@File    :   app.py
@Time    :   2021/09/12 12:38:46
@Author  :   Jim 
@Version :   1.0

'''
# 在设备上的数据文件格式
import wx
from  yiwinframe import YiwinFrame
from tools.mylogger import log
from myconfig import VERSION,LASTDATE,COMPANY

class YiwinApp(wx.App):

    def OnInit(self):
        self.myframe = YiwinFrame( u'Handheld Offline Software', parent=None)
        self.myframe.statusBar.SetStatusText( u" 版权所有 " + COMPANY 
                                             +"  Version "+ VERSION 
                                             + "  "+ LASTDATE, 1 ) #给状态栏设文字
        self.myframe.Show(True)
        return True

if __name__ == "__main__":
    log.info(f"******** Shanghai  Yiwin  Instrument@Equipment  Company  *********", __name__, "", "")
    log.info(f"******** Handheld Software for  Dealing RAMSES Raw data  *********", __name__, "", "")
    app = YiwinApp( )
    app.MainLoop()
